#![allow(dead_code, unused_imports)]
use std::str::FromStr;
use anyhow::Result;

fn main() {
    println!("Hello, world!");
}

fn read_one_per_line<T>(path: &str) -> Result<Vec<T>>
where
    T: FromStr,
{
    Ok(std::fs::read_to_string(path)?
        .lines()
        .filter_map(|line| line.parse::<T>().ok())
        .collect())
}

